## librep 0.92.7

=== debian/changelog ===
librep (0.92.7-4) unstable; urgency=medium

  * Team upload

  [ Bo YU ]
  * Non-maintainer upload.
  * Ensure stack direction with downwards on more architectures.
    (Closes:#1099408)

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Add patch proposed upstream to add support for loong64 (Closes: #1099169)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Mar 2025 13:56:00 +0100

librep (0.92.7-3) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Ignore not installed files in Binary-all build

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 02 Mar 2025 14:17:40 +0100

librep (0.92.7-2) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove 2 obsolete maintscript entries in 2 files.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove 1 unused lintian overrides.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Vagrant Cascadian ]
  * debian/rules: Remove embedded build path from libtool in dh_install
    override.
    Closes: #1021373

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Do not explicitly Build-Depends: libtool
  * Rules-Requires-Root: no (routine-update)
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Replace dependency on transitional package libncurses5-dev
      with replacement libtinfo6, libncurses-dev.
  * watch file standard 4 (routine-update)
  * librep-dev: Depends rep
  * Fix watch file
  * d/copyright: review

  [ наб ]
  * d/{rep.1, rep-remote.1, rep-xgettext.1, repdoc.1}: drop, included upstream
  * d/rules: delete libtool *.la to appease dh_missing
  * d/p/0005: gzip manuals at -9 strength per Policy
  * d/rules: configure with --with-value-type=int [ILP32]/long int [LP64]
               and matching --with-value-sizeof=4        /8
             to work around upstream's broken configure checks,
             these match historical values and ones that configure would yield
  * d/rules: guard fixing librep-dev/usr/lib/$(DEB_HOST_MULTIARCH)/rep/libtool

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 17 Feb 2025 23:30:18 +0100

librep (0.92.7-1) experimental; urgency=medium

  * New upstream version:
    * Assume 'stack-direction' upwards for 'hppa' and 'metag' arches.
      (Debian patch) [Helge Deller]

    * Make build reproducible [Bernhard M. Wiedemann]
         - make 'doc-strings' sort the output by default
         - allow overriding 'build-info' build time, hostname and
           username.

    * Update 'librep.spec' [Allan Duncan]

    * Update 'config.guess', 'config.sub' and 'install-sh' [Christopher
      Bratusek]

 -- Jose M Calhariz <jose@calhariz.com>  Fri, 27 Jul 2018 16:33:34 +0100

librep (0.92.6-1) experimental; urgency=low

  * New upstream version:
    * Fix 'inline_Fcons' multiple definition errors with gcc 5.
      [Christopher Bratusek]

    * Make detection of stack direction more robust [Andreas Schwab]

    * Remove 'debclean' target from Makefile, improve 'gitclean' target
      [Christopher Bratusek]

    * Fix checking version of libtool in 'autogen.sh' [Christopher
      Bratusek]

    * Update config.guess and config.sub to 2015-08-20 [Christopher
      Bratusek]

    * Debian GNU/Linux code review:
         + Rename configure.in to configure.ac [Christopher Bratusek]
         + Fix various spelling errors found by 'codespell' [Christopher
           Bratusek]
         + Fix the address of the FSF in various files as spotted by
           'licensecheck' [Christopher Bratusek]
  * Make build reproducible (Closes: #834534), thank you Chris Lamb.

 -- Jose M Calhariz <jose@calhariz.com>  Sat, 20 Aug 2016 14:47:20 +0100
