=== debian/control ===
Source: librep
Maintainer: Jose M Calhariz <jose@calhariz.com>
Section: lisp
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libffi-dev,
               libgdbm-dev,
               libgmp-dev,
               libtinfo6,
               libncurses-dev,
               libreadline-dev,
               pkgconf,
               texinfo
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/librep
Vcs-Git: https://salsa.debian.org/debian/librep.git
Homepage: https://sawfish.tuxfamily.org/
Rules-Requires-Root: no

Package: rep
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: rep-doc
Conflicts: librep9 (<= 0.17.3-3)
Replaces: librep9 (<= 0.17.3-3)
Description: lisp command interpreter
 rep is a dialect of Lisp, designed to be used both as an extension
 language for applications and as a general purpose programming language.
 .
 It was originally written to be mostly-compatible with Emacs Lisp, but has
 subsequently diverged markedly. Its aim is to combine the best features of
 Scheme and Common Lisp and provide an environment that is comfortable for
 implementing both small and large scale systems. It tries to be a
 "pragmatic" programming language.

Package: librep16
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: embedded lisp command interpreter library
 rep is a dialect of Lisp, designed to be used both as an extension
 language for applications and as a general purpose programming language.
 .
 It was originally written to be mostly-compatible with Emacs Lisp, but has
 subsequently diverged markedly. Its aim is to combine the best features of
 Scheme and Common Lisp and provide an environment that is comfortable for
 implementing both small and large scale systems. It tries to be a
 "pragmatic" programming language.
 .
 This package contains the shared library for applications that embed
 the rep interpreter. You should not need to install this package manually.

Package: librep-dev
Architecture: any
Section: libdevel
Depends: libgmp-dev,
         librep16 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         rep
Recommends: rep-doc
Description: development libraries and headers for librep
 rep is a dialect of Lisp, designed to be used both as an extension
 language for applications and as a general purpose programming language.
 .
 It was originally written to be mostly-compatible with Emacs Lisp, but has
 subsequently diverged markedly. Its aim is to combine the best features of
 Scheme and Common Lisp and provide an environment that is comfortable for
 implementing both small and large scale systems. It tries to be a
 "pragmatic" programming language.
 .
 This package contains the files needed to embed the rep interpreter in an
 application.

Package: rep-doc
Architecture: all
Section: doc
Depends: info | info-browser,
         ${misc:Depends}
Conflicts: librep-doc
Provides: librep-doc
Replaces: librep-doc
Description: documentation for the lisp command interpreter
 rep is a dialect of Lisp, designed to be used both as an extension
 language for applications and as a general purpose programming language.
 .
 It was originally written to be mostly-compatible with Emacs Lisp, but has
 subsequently diverged markedly. Its aim is to combine the best features of
 Scheme and Common Lisp and provide an environment that is comfortable for
 implementing both small and large scale systems. It tries to be a
 "pragmatic" programming language.
 .
 This package contains the language documentation in info format.
